#include <stdlib.h>
#include <stdint.h>
#include <unistd.h>
#include <stdio.h>

#include "board.h"
#include "driver.h"
#include "clock_face.h"

uint16_t image[240 * 240];

int main(void)
{
    drv_open(&lcd_drv);
    for (uint16_t i = 0; i < 240 * 240; i++) {
        image[i] = 0xffff;
    }

    drv_write(&lcd_drv, (const char *)image, 240 * 240);
    sleep(5);
    drv_write(&lcd_drv, (const char *)clock_face, 240 * 240);
    sleep(5);
    drv_close(&lcd_drv);

    return 0;
}
